import { csv } from 'd3';

export const loadAndProcessData = () =>
  csv('https://vizhub.com/wangjonathan/datasets/mcdonald.csv')
      .then(data => {
        data.forEach(d => {
          d['Calories'] = +d['Calories'];
          d['Calories from Fat'] = +d['Calories from Fat'];
          d['Total Fat'] = +d['Total Fat'];
          d['Total Fat (% Daily Value)'] = +d['Total Fat (% Daily Value)'];
          d['Saturated Fat'] = +d['Saturated Fat'];
          d['Saturated Fat (% Daily Value)'] = +d['Saturated Fat (% Daily Value)'];
          d['Trans Fat'] = +d['Trans Fat'];
          d['Cholesterol'] = +d['Cholesterol'];
          d['Cholesterol (% Daily Value)'] = +d['Cholesterol (% Daily Value)'];
          d['Sodium'] = +d['Sodium'];
          d['Sodium (% Daily Value)'] = +d['Sodium (% Daily Value)'];
          d['Dietary Fiber'] = +d['Dietary Fiber'];
          d['Dietary Fiber (% Daily Value)'] = +d['Dietary Fiber (% Daily Value)'];
          d['Carbohydrates'] = +d['Carbohydrates'];
          d['Carbohydrates (% Daily Value)'] = +d['Carbohydrates (% Daily Value)'];
          d['Sugars'] = +d['Sugars'];
          d['Protein'] = +d['Protein'];
          d['Vitamin A (% Daily Value)'] = +d['Vitamin A (% Daily Value)'];
          d['Vitamin C (% Daily Value)'] = +d['Vitamin C (% Daily Value)'];
          d['Calcium (% Daily Value)'] = +d['Calcium (% Daily Value)'];
          d['Iron (% Daily Value)'] = +d['Iron (% Daily Value)'];
          
        });
        //console.log(data.columns);
        //console.log(data);
    	return data;
});